## vclt-tools 0.1.1

=== Makefile ===
include Makefile.conf

TOOLS=dir2vclt  mp32vclt  sc2vclt  xiph2vclt  metaflac2time

all: bin/dir2vclt
clean:
	rm -f bin/dir2vclt
new: clean all
distclean: clean
	rm -f config.log Makefile.conf

bin/dir2vclt:
	sed "s#%%%SHELL_BASH%%%#$(SHELL_BASH)#g" < bin/dir2vclt.sht > bin/dir2vclt

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'/man1/

install: all prep-install-dirs
	set -e; for i in $(TOOLS); do cp $(cp_v) bin/$$i '$(DESTDIR)$(PREFIX_BIN)'; cp $(cp_v) doc/man1/$$i.1 '$(DESTDIR)$(PREFIX_MAN)'/man1/; done;

semi-install: all prep-install-dirs
	set -e; for i in $(TOOLS); do ln -s `pwd`/bin/$$i '$(DESTDIR)$(PREFIX_BIN)'; ln -s `pwd`/doc/man1/$$i.1 '$(DESTDIR)$(PREFIX_MAN)'/man1/; done;

#ll

=== debian/changelog ===
vclt-tools (0.1.1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Avoid dependecy on libdigest-sha1-perl (Closes: #624685)

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 May 2011 19:50:50 +0200

vclt-tools (0.1.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:37:34 +0200

vclt-tools (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #604118)

 -- Philipp Schafft <lion@lion.leolix.org>  Sat, 20 Nov 2010 14:10:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status:
	dh_testdir
	./configure --prefix /usr --shell-bash /bin/bash
	touch config.status

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.status
	[ ! -f Makefile.conf ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-arch:

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --list-missing
	dh_installman -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vclt-tools 0.1.2

=== debian/changelog ===
vclt-tools (0.1.2-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed lintian warnings about build-arch and build-indep rule.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Sep 2011 19:10:22 +0200

=== debian/control ===
Source: vclt-tools
Priority: optional
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: vclt-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libmp3-info-perl, libxml-simple-perl, libdigest-sha-perl,
 vorbis-tools, oggz-tools, libwww-perl
Recommends: flac, id3tool
Description: Collection of tools to create and manipulate VCLT playlists
 This is a collection of tools to create and manipulate VCLT playlists.
 VCLT playlists are similar to M3U or PLS playlists just be abled
 to store a much larger set of information about entries.
 .
 This set of tools allow you to create and manipulate such playlists.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	./configure --prefix /usr --shell-bash /bin/bash
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch:
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
@@ -27,9 +29,9 @@
 	dh_prep
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
-binary-arch:
+binary-arch: build-arch
 
-binary-indep: build install
+binary-indep: build-indep install
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs -i ChangeLog

## vclt-tools 0.1.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include Makefile.conf
 
-TOOLS=dir2vclt  mp32vclt  sc2vclt  xiph2vclt  metaflac2time
+TOOLS=dir2vclt  mp32vclt  xiph2vclt  metaflac2time
 
 all: bin/dir2vclt
 clean:
@@ -9,8 +9,9 @@
 distclean: clean
 	rm -f config.log Makefile.conf
 
-bin/dir2vclt:
+bin/dir2vclt: bin/dir2vclt.sht
 	sed "s#%%%SHELL_BASH%%%#$(SHELL_BASH)#g" < bin/dir2vclt.sht > bin/dir2vclt
+	chmod a+x bin/dir2vclt
 
 prep-install-dirs:
 	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'

=== debian/changelog ===
vclt-tools (0.1.4-8) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:38 +0100

vclt-tools (0.1.4-7) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:19 +0100

vclt-tools (0.1.4-6) unstable; urgency=medium

  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:25:39 +0200

vclt-tools (0.1.4-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:02:57 +0100

vclt-tools (0.1.4-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Update to DEP5 debian/copyright format.
  * Fix lintian warning debian-watch-may-check-gpg-signature.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 18:28:16 +0200

vclt-tools (0.1.4-3) unstable; urgency=high

  * Also overwrite dh_auto_clean in this package.
    Closes: #725576

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Oct 2013 10:21:12 +0200

vclt-tools (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Bump compat level to version 9.
  * Uploading to unstable.
  * Migrate to minimal debhelper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 May 2013 11:12:07 +0200

vclt-tools (0.1.4-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 08:52:56 +0200

vclt-tools (0.1.3-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Aug 2012 17:43:19 +0200

vclt-tools (0.1.2-3) unstable; urgency=low

  * Remove Philipp as maintainer.
    Closes: #682879

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Aug 2012 23:29:24 +0200

vclt-tools (0.1.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Apr 2012 20:53:31 +0200

=== debian/control ===
Source: vclt-tools
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Section: sound
Rules-Requires-Root: no
Homepage: http://roaraudio.keep-cool.org/

Package: vclt-tools
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libmp3-info-perl,
 libxml-simple-perl,
 libdigest-sha-perl,
 vorbis-tools,
 oggz-tools,
 libwww-perl
Recommends: flac,
 id3tool
Description: Collection of tools to create and manipulate VCLT playlists
 This is a collection of tools to create and manipulate VCLT playlists.
 VCLT playlists are similar to M3U or PLS playlists just be abled
 to store a much larger set of information about entries.
 .
 This set of tools allow you to create and manipulate such playlists.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure --prefix /usr --shell-bash /bin/bash

override_dh_install:
	dh_install
	rmdir $(CURDIR)/debian/vclt-tools/usr/include
	rmdir $(CURDIR)/debian/vclt-tools/usr/lib

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/vclt-tools-(.*)\.tar\.gz
